Quassel IRC - Bug #950

Heavy Disk Usage causes Core to stop responding.
04/22/2010 02:43 AM - masshuu

Status: Feedback Start date: 04/22/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.5.0 0S: Any

Description

| have a core set up on a VPS, and it works great until the Disk Load picks up, at which point the core's lats sore to 300-800ms to irc
servers(normally at 1-20ms) and the client to core lat shoots up to 10000+ms (normally 20-25ms)
Unlike quassel, which completely stops, everything else works just fine, apart from a slight change in speed.

History

#1 - 04/23/2010 02:08 AM - johu
- Target version deleted (0.5.2)

wrong target version, 0.5.2 released months ago

#2 - 08/18/2010 12:46 AM - johu

- Status changed from New to Feedback

please add debug trace or steps to reproduce, otherwise it will be closed

#3 - 08/18/2010 01:14 AM - masshuu

| am going to guess the issue has to do with calls to the database being synchronous.

| used to run the core on a VPS, which would occasionally become 10 starved. This caused PostgreSQL to halt in its tracks, halting the core.

Then the DB got big enough that i couldn't login due to PostgreSQL taking a few seconds to process requests(i opened psql and hand timed simple
queries, which took 1-2 seconds)

Simple reproduce would be to limit PostgreSQL's 10 to something that would slow it down.
